> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar extratos bancários



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /extratos-bancarios
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /extratos-bancarios:
    get:
      tags:
        - Extrato Bancário
      summary: Listar extratos bancários
      operationId: ListarExtratosBancariosAction
      parameters:
        - $ref: '#/components/parameters/arquivoExtratoBancario'
        - $ref: '#/components/parameters/dataInicialExtratoBancario'
        - $ref: '#/components/parameters/dataFinalExtratoBancario'
        - $ref: '#/components/parameters/contaFinanceiraExtratoBancario'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_extratos_bancarios_limit'
        - $ref: '#/components/parameters/get_extratos_bancarios_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/ListagemExtratosBancariosResponseModel
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    arquivoExtratoBancario:
      name: arquivo
      in: query
      description: Pesquisa pelo nome do arquivo importado
      required: false
      schema:
        type: string
    dataInicialExtratoBancario:
      name: dataInicial
      in: query
      description: Pesquisa através da data do extrato bancário
      required: false
      schema:
        type: string
    dataFinalExtratoBancario:
      name: dataFinal
      in: query
      description: Pesquisa através da data do extrato bancário
      required: false
      schema:
        type: string
    contaFinanceiraExtratoBancario:
      name: idContaFinanceira
      in: query
      description: >-
        Pesquisa pelo identificador da conta financeira em que o extrato foi
        importado
      required: false
      schema:
        type: integer
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_extratos_bancarios_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_extratos_bancarios_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemExtratosBancariosResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        arquivo:
          type: string
          example: extrato-01-2024.ofx
        data:
          type: string
          example: '2024-01-01'
        conta:
          $ref: '#/components/schemas/ContaFinanceiraResponseModel'
        totalLancamentos:
          description: Quantidade de lançamentos do extrato
          type: integer
        totalLancamentosConciliados:
          description: >-
            Quantidade de lançamentos do extrato já conciliados, ignorados ou
            vinculados
          type: integer
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContaFinanceiraResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````